// JavaScript Document
function check(is_detail)
{	
	if($("#yzm").length>0)
	{
		if(!$('#yzm').val())
		{
			alert(allnotblank)
			$('#yzm').focus()
			return false
		}
	}
	if(!$('#user').val())
	{
		alert(allnotblank)
		$('#user').focus()
		return false
	}
	if(!$('#password').val())
	{
		alert(allnotblank)
		$('#password').focus()
		return false
	}
	if(!$('#re_password').val())
	{
		alert(allnotblank)
		$('#re_password').focus()
		return false
	}
	if(!$('#email').val())
	{
		alert(allnotblank)
		$('#email').focus()
		return false
	}
	if($('#password').val().length < 4)
	{
		alert(passlength)
		$('#password').focus()
		return false
	}
	if($('#password').val().length > 20)
	{
		alert(passistooleng)
		$('#password').focus()
		return false
	}
	if($('#password').val() != $('#re_password').val())
	{
		alert(passnotsame)
		$('#re_password').focus()
		return false
	}
	if(!$('#mobile').val())
	{
		alert('请填写手机号码');
		$('#mobile').focus()
		return false
	}
	else
	{
		$('#mobile').attr('disabled',false);
	}
	if($("#sms_yzm").length>0&&!is_check_mobile)
	{
		alert('请输入您的手机验证码');
		return false;
	}
	if(is_detail=='detail')
	{
		return check_detail();
	}		
}

function check_detail()
{
	if(!$('#realname').val())
	{
		alert('请填写姓名');
		$('#realname').focus()
		return false
	}
	if(!$('#comname').val())
	{
		alert('请填写企业名称');
		$('#comname').focus()
		return false
	}
	if(!$('#addr').val())
	{
		alert('请填写地址');
		$('#addr').focus()
		return false
	}
}

function show_yzm()
{
	$('#yzm_pic').html("<img onclick='get_randfunc(this);' src='includes/rand_func.php'/>");
}

function check_email()
{
	if($('#email').val().indexOf("@") == -1)
	{
		$('#tishi_email').html(emailerror);
		$('#email').focus();
		return false;
	}
	var url = 'ajax_back_end.php';
	var sj = Math.random();
	var pars = 'shuiji=' + sj+'&check_email=1&email='+$('#email').val(); 
	$.post(url, pars,function (originalRequest)
		{
			if(originalRequest==1)
				$('#tishi_email').html("<img src=image/default/icon_right_19x19.gif>");
			if(originalRequest==2)
				$('#tishi_email').html(changeemil);
		}
	 )	
}

function show_yzwt()
{
	var url = 'ajax_back_end.php';
	var sj = Math.random();
	var pars = 'shuiji=' + sj+'&wtyz=1'; 
	$.post(url, pars,function (originalRequest)
		{
			if(originalRequest)
				$('#yzwt').html(originalRequest);
			$('#tishi8').html("");
		}
	)	
}

function check_yzwt()
{
	var url = 'ajax_back_end.php';
	var sj = Math.random();
	var pars = 'shuiji=' + sj+'&ckyzwt='+$('#ckyzwt').val(); 
	$.post(url, pars,function (originalRequest)
	{
		if(originalRequest=='true')
		{	
			$('#tishi8').html("<img src=image/default/icon_right_19x19.gif>");
		}
		else
		{
			$('#tishi8').html(randcodeerror);
			$('#ckyzwt').val('');	
			$('#ckyzwt').focus()
		}
	});
}

function check_yzm()
{
	if(!$('#yzm').val())
	{
		$('#tishi2').html(randcodeisemp);
		$('#yzm').focus()
		return false
	}
	var url = 'ajax_back_end.php';
	var sj = Math.random();
	var pars = 'shuiji=' + sj+'&yzm='+$('#yzm').val(); 
	$.get(url, pars,function (originalRequest)
	{
		if(originalRequest>0)
		{	
			$('#tishi2').html(rcodeiserror);
			$('#yzm').val('');	
			$('#yzm').focus()
		}
		else
		{
			$('#tishi2').html("<img src=image/default/icon_right_19x19.gif>");
		}
	});
}

function check_user()
{
	  
	  if($('#user').val().length < 1)
	  {
		$('#tishi').html(enterusername);
		$('#user').focus()
		return false
	  }
	  else if($('#user').val().length < 4)
	  {
		$('#tishi').html(unameisfour);
		$('#user').focus()
		return false
	  }
	  else if($('#user').val().indexOf(" ")!=-1)
	  {
		$('#tishi').html(have_blank);
		$('#user').focus()
		return false
	  }
	  else
	  {
		  $('#tishi').html("");
		 　var l=0;
		   var v=$('#user').val();
		   for(i=0;i<v.length;i++)  
		   {
				   var t=v.charCodeAt(i);
				   if(t>255)
				   {
						$('#tishi').html(unameisen);
						$('#user').val('');
						$('#user').focus()
						return false 
				   }
		   }
		   
		   var jgpattern =/^[A-Za-z0-9]+$/;
		   if(!jgpattern.test($('#user').val()))
		   {
				$('#tishi').html('只能输入英文或数字');
				$('#user').val('');
				$('#user').focus()
				return false 
			} 
		   	
			var url = 'ajax_back_end.php';
			var sj = Math.random();
			var pars = 'shuiji=' + sj+'&user='+$('#user').val(); 
			$.get(url, pars,function (originalRequest){
					if(originalRequest!='')
					{	
						if(originalRequest>0)
						{
							$('#tishi').html(usernameprotect);
							$('#user').val();	
							$('#user').focus()
						}
						else
						{
							$('#tishi').html("<img src=image/default/icon_right_19x19.gif>");
						}
					}
				}						  
			); 
	  }
}